%define LNG id
%define name man-pages-%LNG
%define version 0.1
%define release %mkrel 19

Summary: Man pages in Indonesian language
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Internationalization
Source: id-man.tar.bz2
BuildRequires: man
Requires: locales-%LNG, man
Autoreq: false
BuildArch: noarch

%description
A collection of man pages for Linux in Indonesian language

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/%LNG/
tar jxf %{SOURCE0} -C %{buildroot}/%{_mandir}/%LNG/

LANG=%LNG DESTDIR=%{buildroot} %{_sbindir}/makewhatis %{buildroot}/%{_mandir}/%LNG

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron << EOF
#!/bin/bash
LANG=%LNG %{_sbindir}/makewhatis %{_mandir}/%LNG
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron

mkdir -p  %{buildroot}/var/cache/man/%LNG

touch %{buildroot}/var/cache/man/%LNG/whatis

%post
%create_ghostfile /var/cache/man/%LNG/whatis root root 644

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,man,755)
#%doc CHANGES README* COPYRIGHT
%attr(0755,root,root) %dir %{_mandir}/%LNG
%dir /var/cache/man/%LNG
%config(noreplace) /var/cache/man/%LNG/whatis
%ghost %config(noreplace) /var/cache/man/%LNG/whatis
%attr(0755,root,root) %dir %{_mandir}/%LNG/man*
%{_mandir}/%LNG/man*/*
%{_mandir}/%LNG/whatis
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron


%changelog

* Tue Mar 26 2013 luigiwalser <luigiwalser> 0.1-19.mga3
+ Revision: 405263
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 0.1-18.mga3
+ Revision: 359382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 0.1-17.mga1
+ Revision: 5896
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-id

